# Enum Class LinkOption

java.lang.Object
java.lang.Enum<LinkOption>
java.nio.file.LinkOption

All Implemented Interfaces:
  `Serializable, Comparable<LinkOption>, Constable, CopyOption, OpenOption`

public enum LinkOption extends Enum<LinkOption> implements OpenOption, CopyOption
Defines the options as to how symbolic links are handled.

Since:
  1.7

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NOFOLLOW_LINKS`
Do not follow symbolic links.

## Method Summary

Modifier and Type
Method
Description
`static LinkOption`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LinkOption[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOFOLLOW_LINKS

public static final LinkOption NOFOLLOW_LINKS
Do not follow symbolic links.

See Also:
  - `Files.getFileAttributeView(Path,Class,LinkOption[])`
  - `Files.copy(Path, Path, CopyOption...)`
  - `SecureDirectoryStream.newByteChannel(T, Set, FileAttribute...)`

## Method Details

### values

public static LinkOption[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LinkOption valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null